Bug 17340 - Ports that need Xaw3d won't build
Summary: Ports that need Xaw3d won't build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-03-12 14:30 UTC by Dag-Erling Smorgrav
Modified: 2000-06-09 02:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dag-Erling Smorgrav 2000-03-12 14:30:01 UTC
Ports that depend on Xaw3d won't build because the Xaw3d's library version
number is now 7 instead of 6. What's more, the PLIST for the Xaw3d port
incorrectly lists lib/libXaw3d.so.6.1 instead of lib/libXaw3d.so.7.

Severity/Priority set to critical/high due to impending release.

Fix: 

Change the relevant port Makefiles to require Xaw3d.7 instead of Xaw3d.6.
How-To-Repeat: 
Build Xaw3d:

root@des /usr/ports/x11-toolkits/Xaw3d# make
===>  Extracting for Xaw3d-1.5
Comment 1 des 2000-03-12 14:35:39 UTC
Dag-Erling Smorgrav <des@ewox.org> writes:
> Ports that depend on Xaw3d won't build because the Xaw3d's library version
> number is now 7 instead of 6. What's more, the PLIST for the Xaw3d port
> incorrectly lists lib/libXaw3d.so.6.1 instead of lib/libXaw3d.so.7.

Update: it only seems to happen when running XFree86 4.0, so it may
not be as bad as I originally thought.

DES
-- 
Dag-Erling Smorgrav - des@flood.ping.uio.no
Comment 2 Michael Haro freebsd_committer 2000-04-02 03:58:23 UTC
State Changed
From-To: open->feedback

I committed a change to Xaw3d that should solve your problems. 
Please let me know if this problem has been solved. 


Comment 3 Michael Haro freebsd_committer 2000-04-02 03:58:23 UTC
Responsible Changed
From-To: freebsd-ports->mharo

I'll handle this 
Comment 4 Will Andrews freebsd_committer 2000-06-09 02:00:08 UTC
State Changed
From-To: feedback->closed

Timeout; Michael says he fixed the problem; originator 
never replied to confirm.